// priority: 100

//Alloy Mixer




    onEvent('recipes', e => {
        e.recipes.custommachinery.custom_machine("caveopolis:alloy_mixer", 100)
            .requireItemTag('caveopolis:pebble', 1)
            .requireFluid(Fluid.of("minecraft:water", 150))
            .requireFluid(Fluid.of("minecraft:lava", 50))
            .produceFluid(Fluid.of("caveopolis:ore_forming_water", 200))
        })

    onEvent('recipes', e => {
        e.recipes.custommachinery.custom_machine("caveopolis:alloy_mixer", 120)
            .requireItemTag('caveopolis:bio_fuel', 1)
            .requireFluid(Fluid.of("minecraft:water", 300))
            .requireFluid(Fluid.of("thermal:tree_oil", 200))
            .produceFluid(Fluid.of("thermal:crude_oil", 500))
        })
    
    
    
    //Block Recipe
    
    onEvent('recipes', e => {
    e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:alloy_mixer"}'), ['SHS','A A', 'SSS'], {H: 'woodenhopper:wooden_hopper', S: 'caveopolis:mixed_stone_ingot', A: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:advanced_barrel"}')}).id('caveopolis:alloy_mixer')
    })